> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Agent Profile Pool

> Create a new agent profile pool



## OpenAPI

````yaml https://odyssey.asteroid.ai/agents/v2/openapi.yaml post /agent-profile-pools
openapi: 3.1.0
info:
  title: Agent Service
  version: v1
servers:
  - description: V2 API
    url: https://odyssey.asteroid.ai/agents/v2
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
  - name: Execution
  - name: Files
  - name: Agent Profiles
  - name: Agent Profile Pools
  - name: Workflows
  - name: Schema
  - name: Documentation
  - name: Context
paths:
  /agent-profile-pools:
    post:
      tags:
        - Agent Profile Pools
      summary: Create Agent Profile Pool
      description: Create a new agent profile pool
      operationId: AgentProfilePoolsCreate
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Agents.Profile.CreateAgentProfilePoolRequest
        description: Agent profile pool to create
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Agents.Profile.AgentProfilePool'
          description: >-
            The request has succeeded and a new resource has been created as a
            result.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.BadRequestErrorBody'
          description: The server could not understand the request due to invalid syntax.
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.UnauthorizedErrorBody'
          description: Access is unauthorized.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.ForbiddenErrorBody'
          description: Access is forbidden.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.NotFoundErrorBody'
          description: The server cannot find the requested resource.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Common.InternalServerErrorBody'
          description: Server error
components:
  schemas:
    Agents.Profile.CreateAgentProfilePoolRequest:
      description: Request to create a new agent profile pool
      properties:
        allowConcurrentUse:
          default: false
          description: Whether multiple executions can use the same profile concurrently
          type: boolean
        name:
          description: Name of the agent profile pool (must be unique within organization)
          maxLength: 255
          minLength: 1
          type: string
        organizationId:
          allOf:
            - $ref: '#/components/schemas/Common.uuid'
          description: The ID of the organization that the pool belongs to
        selectionStrategy:
          allOf:
            - $ref: '#/components/schemas/Agents.Profile.SelectionStrategy'
          default: least_recently_used
          description: Strategy for selecting an available profile from the pool
      required:
        - name
        - organizationId
      type: object
    Agents.Profile.AgentProfilePool:
      description: A pool of agent profiles that can be used for credential rotation
      properties:
        allowConcurrentUse:
          description: Whether multiple executions can use the same profile concurrently
          type: boolean
        createdAt:
          description: When the pool was created
          format: date-time
          type: string
        id:
          allOf:
            - $ref: '#/components/schemas/Common.uuid'
          description: Unique identifier for the agent profile pool
        name:
          description: Name of the agent profile pool (unique within organization)
          type: string
        organizationId:
          allOf:
            - $ref: '#/components/schemas/Common.uuid'
          description: The ID of the organization that owns this pool
        selectionStrategy:
          allOf:
            - $ref: '#/components/schemas/Agents.Profile.SelectionStrategy'
          description: Strategy for selecting an available profile from the pool
        updatedAt:
          description: When the pool was last updated
          format: date-time
          type: string
      required:
        - id
        - name
        - organizationId
        - selectionStrategy
        - allowConcurrentUse
        - createdAt
        - updatedAt
      type: object
    Common.BadRequestErrorBody:
      properties:
        code:
          enum:
            - 400
          type: number
          x-enum-varnames:
            - BadRequest
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.UnauthorizedErrorBody:
      properties:
        code:
          enum:
            - 401
          type: number
          x-enum-varnames:
            - Unauthorized
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.ForbiddenErrorBody:
      properties:
        code:
          enum:
            - 403
          type: number
          x-enum-varnames:
            - Forbidden
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.NotFoundErrorBody:
      properties:
        code:
          enum:
            - 404
          type: number
          x-enum-varnames:
            - NotFound
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.InternalServerErrorBody:
      properties:
        code:
          enum:
            - 500
          type: number
          x-enum-varnames:
            - InternalServerError
        message:
          type: string
      required:
        - code
        - message
      type: object
    Common.uuid:
      format: uuid
      type: string
    Agents.Profile.SelectionStrategy:
      description: Strategy for selecting an available profile from a pool
      enum:
        - least_recently_used
        - most_recently_used
      type: string
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: X-Asteroid-Agents-Api-Key
      type: apiKey

````